gdebi_0.9.5.7ubuntu1_all.deb


Advertisement

Description

gdebi - simple tool to view and install deb files - GNOME GUI

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: gdebi
Package version: 0.9.5.7ubuntu1
Package release:
Package architecture: all
Package type: deb
Installed size: 165 B
Download size: 23.00 KB
Official Mirror: archive.ubuntu.com
gdebi lets you install local deb packages resolving and installing its dependencies. apt does the same, but only for remote (http, ftp) located packages. The package is also scanned via lintian before the install and its possible to inspect the control and data members of the packages. This package contains the graphical user interface.

Alternatives

    Download

    Source package: gdebi

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install gdebi deb package:
      # sudo apt-get install gdebi

    Files

    • /usr/bin/gdebi-gtk
    • /usr/share/application-registry/gdebi.applications
    • /usr/share/applications/gdebi.desktop
    • /usr/share/doc/gdebi/README
    • /usr/share/doc/gdebi/changelog.gz
    • /usr/share/doc/gdebi/copyright
    • /usr/share/gdebi/gdebi-gtk
    • /usr/share/gdebi/gdebi.png
    • /usr/share/gdebi/gdebi.ui
    • /usr/share/gdebi/GDebi/GDebiGtk.py
    • /usr/share/gdebi/GDebi/SimpleGtkbuilderApp.py
    • /usr/share/man/man1/gdebi-gtk.1.gz
    • /usr/share/python3/runtime.d/gdebi.rtupdate

    Changelog

    2016-04-06 - Barry Warsaw <barry@ubuntu.com> gdebi (0.9.5.7ubuntu1) xenial; urgency=medium * debian/control: - Add pyflakes3 to Build-Depends. - Bump Standards-Version to 3.9.7.

    2015-07-08 - Michael Vogt <mvo@debian.org> gdebi (0.9.5.7) unstable; urgency=medium [ Michael Vogt ] * GDebi/GDebiGtk.py: - fix child_exited() change for vte 2.91 (LP: #1472618) [ Dimitri John Ledkov ] * Fix exceptions going out of scope. (LP: #1304274)

    2015-07-02 - Michael Vogt <mvo@debian.org> gdebi (0.9.5.6) unstable; urgency=medium [ Iain Lane ] * Use vte 2.91 [ Alex Henrie ] * Use standard MIME type vnd.debian.binary-package so that xdg-open foo.deb will use gdebi

    2014-11-11 - Ivo De Decker <ivodd@debian.org> gdebi (0.9.5.5+nmu1) unstable; urgency=medium * Non-maintainer upload. * Make sure the watcher for the lintian exit code is added only once. It was added twice by mistake (with both IO watchers), causing a race condition when checking the exit code. This fixes the lintian test during the build. (Closes: #765151).

    2014-09-29 - Luca Falavigna <dktrkranz@debian.org> gdebi (0.9.5.5) unstable; urgency=medium * Team upload. [ Michael Vogt ] * mention ability to resolve build-dependencies from a debian/control file, thanks to Axel Beckert * improve description for gdebi-gtk to include information about lintian and the ability to inspect deb packages [ Luca Falavigna ] * debian/control: - Add lintian to gdebi's Recommends field (Closes: #755812). - Bump Standards-Version to 3.9.6. * tests/test_gdebi_cli.py: - Fix FTBFS with non en_US locales (Closes: #757078).

    2014-04-22 - Luca Falavigna <dktrkranz@debian.org> gdebi (0.9.5.4) unstable; urgency=low [ Michael Vogt ] * fix installing of dependency packages when called with sudo (LP: #1309387) [ Michael Werle ] * gdebi-kde, GDebi/GDebiKDE.py: - Fix python3 internatlization bugs (Closes: #743756) (LP: #1304143). [ Luca Falavigna ] * Fix tests at build time (Closes: #743091).

    2014-04-07 - Michael Vogt <michael.vogt@ubuntu.com> gdebi (0.9.5.3) unstable; urgency=low * convert only full lines from dpkg-statusfd into utf8 (LP: #1301857)

    2014-04-04 - Barry Warsaw <barry@ubuntu.com> gdebi (0.9.5.2) unstable; urgency=medium * Add a universal_newlines=True to Popen command to get a proper unicode object. (LP: #1301422) * Whitespace normalization.

    2014-04-02 - Dimitri John Ledkov <xnox@ubuntu.com> gdebi (0.9.5.1) unstable; urgency=medium * Lower required python3 version to 3.3. As 3.4 is not needed, and Debian's default is still 3.3.

    2014-04-02 - Dimitri John Ledkov <xnox@ubuntu.com> gdebi (0.9.5) unstable; urgency=medium [ Barry Warsaw ] * New upstream release. * Switched all command line scripts to Python 3 and dropped Dependencies on Python 3. (LP: #1283574) * Some whitespace cleanup. * Removed some unnecessary shebang lines. * Set the dpkg child process write file descriptor to 'inheritable'. [ Dimitri John Ledkov ] * Process all packages with dh_python3, to get correct dependencies.

    Advertisement
    Advertisement